% test gaussian blob generation

clearvars
close all
home

% gaussian parameters
% blob 1
H = 2000;
W = 400;
excentricity = 0.5;
sig = round(0.25*min(W,H));
theta = [0 pi/4 pi/2 3*pi/4 pi 5*pi/4 6*pi/4 7*pi/4 2*pi];
sigx = sig;
sigy = sig/excentricity;


for i=1:length(theta)
    
    sig11 = sigx^2*cos(theta(i))^2+sigy^2*sin(theta(i))^2;
    sig22 = sigy^2*cos(theta(i))^2+sigx^2*sin(theta(i))^2;
    sig12 = (sigx^2-sigy^2)*cos(theta(i))*sin(theta(i));
    Sigma = [sig11 sig12;sig12 sig22];

    % generate gaussian blob
    disp('generating gaussian blob')
    g1 = gaussian_blob(H,W,round(H*0.5),round(W*0.5),Sigma);
    
    % show gaussian blob
    figure; imshow(g1); colormap jet
end